Name: efax-gtk
Version: 3.0.3
Release: alt1

Summary: Efax-gtk is a GUI front end for the efax fax program
Summary(ru_RU.KOI8-R): Efax-gtk -   .
License: GPL
Group: Communications
Url: http://efax-gtk.sourceforge.net/

Packager: Pavel Vainerman <pv@altlinux.ru>
Source: %name-%version.src.tgz
Source1: %name-%version.ru.po
Source2: %name-%version.config
Source3: %name-faxfilter.1.gz
Source4: %name-send.1.gz
Source5: %name.png
Patch: %name-%version.patch

# Automatically added by buildreq on Tue Jun 07 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib2-devel libatk-devel libgtk+2-devel libpango-devel libsigc++2.0-devel libstdc++-devel pkgconfig xorg-x11-devel

Requires: efax

%description
Efax-gtk is a GUI front end for the efax fax program.  It
can be used to send and receive faxes with a fax modem, and to manage,
view and print faxes sent or received. It uses the scripts which
come with the efax package.

%description -l ru_RU.KOI8-R
Efax-gtk -   .    
       -.
       .
     efax

%prep
%setup -q
%patch -p0
cp -f %SOURCE1 po/ru.po

%build
%__subst "s| install-data-hook||" efax-gtk-faxfilter/Makefile.in
%configure --with-spooldir=/var/spool/fax

#   efax
%__subst 's|SUBDIRS = src efax|SUBDIRS = src|' Makefile

%make_build

%install
make SPOOLDIR=$RPM_BUILD_ROOT/var/spool/fax DESTDIR=$RPM_BUILD_ROOT install

install -d -m 0755 $RPM_BUILD_ROOT%_menudir

cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name" \\
section="Applications/Communications" \\
title="Efax-gtk" \\
longtitle="GUI front end for the efax fax program" \\
genericname="Fax Utility" \\
icon="%name.png" \\
needs="x11"
EOF

%find_lang %name

%__install -D -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/efax-gtkrc
%__install -D -m644 %SOURCE3 $RPM_BUILD_ROOT%_mandir/man1/efax-gtk-faxfilter.1.gz
%__install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%_mandir/man1/efax-gtk-send.1.gz
%__install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%_iconsdir/%name.png

#      efax
ln -f -s /usr/bin/efax $RPM_BUILD_ROOT%_bindir/efax-0.9a
ln -f -s /usr/bin/efix $RPM_BUILD_ROOT%_bindir/efix-0.9a

%__install -p -m755 efax-gtk-faxfilter/efax-gtk-faxfilter $RPM_BUILD_ROOT%_bindir/efax-gtk-faxfilter
%__install -p -m755 efax-gtk-faxfilter/efax-gtk-socket-client $RPM_BUILD_ROOT%_bindir/efax-gtk-socket-client

%post
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_mandir/man1/*
#/var/spool/fax/*
#%attr(775, lp, lp) /var/spool/fax

%_datadir/locale/*/*
%_datadir/applications/efax-gtk.desktop
%doc AUTHORS README BUGS ChangeLog
%config /etc/efax-gtkrc
%_menudir/%name
%_iconsdir/%name.png

%changelog
* Tue Jul 19 2005 Pavel Vainerman <pv@altlinux.ru> 3.0.3-alt1
- build new version

* Thu Jun 23 2005 Pavel Vainerman <pv@altlinux.ru> 3.0.2-alt2
- add patch for show date in fax journal
- rebuild BuildRequires

* Sun Jun 05 2005 Pavel Vainerman <pv@altlinux.ru> 3.0.2-alt1
- build new version

* Sun May 15 2005 Pavel Vainerman <pv@altlinux.ru> 3.0.1-alt1
- build new version

* Wed May 11 2005 Pavel Vainerman <pv@altlinux.ru> 2.2.15-alt3
- update spec-file (remove old comments)
- off 'pkg-config --recursive' option

* Mon Mar 07 2005 Pavel Vainerman <pv@altlinux.ru> 2.2.15-alt2
- update ru.po

* Sat Mar 05 2005 Pavel Vainerman <pv@altlinux.ru> 2.2.15-alt1
- build new version

* Tue Feb 15 2005 Pavel Vainerman <pv@altlinux.ru> 2.2.14-alt2
- update ru.po

* Mon Jan 03 2005 Pavel Vainerman <pv@altlinux.ru> 2.2.14-alt1
- build new version

* Mon Nov 01 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.12-alt2
- update ru.po

* Wed Oct 27 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.12-alt1
- build new version

* Mon Sep 06 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.10-alt1
- rebuild new version
- update ru.po
- add menu-icon

* Tue Jul 13 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.8a-alt2
- change default documents directory
- update patch

* Mon Jul 12 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.8a-alt1
- build new version
- update group
- update ru.po
- add patch for configure documents directory

* Wed Jun 16 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.7a-alt1
- new version
- add man files for efax-gtk-faxfilter, efax-gtk-send
- configure for use with standart efax program

* Sun Jun 06 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.7-alt2
- rebuild with new libs
- update ru.po

* Wed Jun 02 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.7-alt1
- new version

* Tue Apr 06 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.5a-alt1.1
- add BuildRequires

* Sat Apr 03 2004 Pavel Vainerman <pv@altlinux.ru> 2.2.5a-alt1
- Updated version
- fixing bug (segfault Settings 'OK')

* Thu Jan 15 2004 George Buravlyov <bor@etersoft.ru> 2.2.4-alt1
- First building for ALTLinux
